Language:
Page Info
Engine Version:
The translation of this page is out of date. Please see the English version for the latest version of the page.

Google VR Development Requirements

In this page you'll find hardware and software development kit (SDK) requirements needed to start developing for the Google VR platform.

Unreal Engine 4.22

Hardware Requirements

Recommended Desktop Hardware

See Hardware and Software Specifications .

Supported VR Headsets

Cardboard viewer ; Daydream View

Recommended Device Hardware

Cardboard requires an Android device running 4.4 'Kit Kat' (API level 19) or higher.
For Daydream, see Google's Daydream Device Compatibility .

Software Requirements

Desktop Operating System

See Hardware and Software Specifications .

SDK Version

Android SDK 8 (API level 26) or higher.

Android Studio Version

2.3.3 or higher.

The currently supported SDK version(s) can be found in UEBuildTODO.cs. You can find it in your [UE4 Root Director]/Engine/Source/Programs/UnrealBuildTool/Platforms/TODO folder.

Unreal Engine 4.21

Hardware Requirements

Recommended Desktop Hardware

See Hardware and Software Specifications .

Supported VR Headsets

Cardboard viewer ; Daydream View

Recommended Device Hardware

Cardboard requires an Android device running 4.4 'Kit Kat' (API level 19) or higher.
For Daydream, see Google's Daydream Device Compatibility .

Software Requirements

Desktop Operating System

See Hardware and Software Specifications .

SDK Version

Android SDK 7.1.1 'Nougat' (API level 25) or higher.

Android Studio Version

2.3.3 or higher.

The currently supported SDK version(s) can be found in UEBuildTODO.cs. You can find it in your [UE4 Root Director]/Engine/Source/Programs/UnrealBuildTool/Platforms/TODO folder.

Unreal Engine 4.20

Hardware Requirements

Recommended Desktop Hardware

See Hardware and Software Specifications .

Supported VR Headsets

Cardboard viewer ; Daydream View

Recommended Device Hardware

Cardboard requires an Android device running 4.4 'Kit Kat' (API level 19) or higher.
For Daydream, see Google's Daydream Device Compatibility .

Software Requirements

Desktop Operating System

See Hardware and Software Specifications .

SDK Version

Android SDK 7.1.1 'Nougat' (API level 25) or higher.

Android Studio Version

2.3.3 or higher.

The currently supported SDK version(s) can be found in UEBuildTODO.cs. You can find it in your [UE4 Root Director]/Engine/Source/Programs/UnrealBuildTool/Platforms/TODO folder.

Unreal Engine 4.19

Hardware Requirements

Recommended Desktop Hardware

See Hardware and Software Specifications .

Supported VR Headsets

Cardboard viewer ; Daydream View

Recommended Device Hardware

Cardboard requires an Android device running 4.4 'Kit Kat' (API level 19) or higher.
For Daydream, see Google's Daydream Device Compatibility .

Software Requirements

Desktop Operating System

See Hardware and Software Specifications .

SDK Version

Android SDK 7.1.1 'Nougat' (API level 25) or higher.

Android Studio Version

2.3.3 or higher.

The currently supported SDK version(s) can be found in UEBuildTODO.cs. You can find it in your [UE4 Root Director]/Engine/Source/Programs/UnrealBuildTool/Platforms/TODO folder.